package com.chenyang.nse.bussiness.entity.orm.table.console;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CONSOLE_DBFIELDTYPE"
)
public class TConsoleDbfieldtype extends TBaseEntity {
   private String javatype;
   private String columnname;
   private String columntype;
   private String dbtype;
   private String length;
   private String enginecolumntype;

   public TConsoleDbfieldtype() {
   }

   public TConsoleDbfieldtype(String javatype, String columnname, String columntype, String dbtype, String length, String enginecolumntype) {
      this.javatype = javatype;
      this.columnname = columnname;
      this.columntype = columntype;
      this.dbtype = dbtype;
      this.length = length;
      this.enginecolumntype = enginecolumntype;
   }

   public String getJavatype() {
      return this.javatype;
   }

   public void setJavatype(String javatype) {
      this.javatype = javatype;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getColumntype() {
      return this.columntype;
   }

   public void setColumntype(String columntype) {
      this.columntype = columntype;
   }

   public String getDbtype() {
      return this.dbtype;
   }

   public void setDbtype(String dbtype) {
      this.dbtype = dbtype;
   }

   public String getLength() {
      return this.length;
   }

   public void setLength(String length) {
      this.length = length;
   }

   public String getEnginecolumntype() {
      return this.enginecolumntype;
   }

   public void setEnginecolumntype(String enginecolumntype) {
      this.enginecolumntype = enginecolumntype;
   }

   public String toString() {
      return "TConsoleDbfieldtype [javatype=" + this.javatype + ", columnname=" + this.columnname + ", columntype=" + this.columntype + ", dbtype=" + this.dbtype + ", length=" + this.length + ", enginecolumntype=" + this.enginecolumntype + "]";
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.columnname == null ? 0 : this.columnname.hashCode());
      result = 31 * result + (this.columntype == null ? 0 : this.columntype.hashCode());
      result = 31 * result + (this.dbtype == null ? 0 : this.dbtype.hashCode());
      result = 31 * result + (this.enginecolumntype == null ? 0 : this.enginecolumntype.hashCode());
      result = 31 * result + (this.javatype == null ? 0 : this.javatype.hashCode());
      result = 31 * result + (this.length == null ? 0 : this.length.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TConsoleDbfieldtype other = (TConsoleDbfieldtype)obj;
         if (this.columnname == null) {
            if (other.columnname != null) {
               return false;
            }
         } else if (!this.columnname.equals(other.columnname)) {
            return false;
         }

         if (this.columntype == null) {
            if (other.columntype != null) {
               return false;
            }
         } else if (!this.columntype.equals(other.columntype)) {
            return false;
         }

         if (this.dbtype == null) {
            if (other.dbtype != null) {
               return false;
            }
         } else if (!this.dbtype.equals(other.dbtype)) {
            return false;
         }

         if (this.enginecolumntype == null) {
            if (other.enginecolumntype != null) {
               return false;
            }
         } else if (!this.enginecolumntype.equals(other.enginecolumntype)) {
            return false;
         }

         if (this.javatype == null) {
            if (other.javatype != null) {
               return false;
            }
         } else if (!this.javatype.equals(other.javatype)) {
            return false;
         }

         if (this.length == null) {
            if (other.length != null) {
               return false;
            }
         } else if (!this.length.equals(other.length)) {
            return false;
         }

         return true;
      }
   }
}
